{"hcp": {"base": "/hcp", "params": [
{"path": "", "type": "float", "kids": 10},
{"path": "send", "type": "text", "readonly": false, "cmd": "hcp send", "visibility": 3},
{"path": "status", "type": "text", "visibility": 3},
{"path": "set", "type": "float", "readonly": false, "cmd": "hcp set"},
{"path": "on", "type": "bool", "readonly": false, "cmd": "hcp on"},
{"path": "setcurrent", "type": "float", "readonly": false, "cmd": "hcp setcurrent"},
{"path": "ramp", "type": "float", "readonly": false, "cmd": "hcp ramp"},
{"path": "rampmode", "type": "enum", "enum": {"no ramp": 0, "always ramp": 1, "ramp up only": 2}, "readonly": false, "cmd": "hcp rampmode"},
{"path": "workset", "type": "float"},
{"path": "current", "type": "float"},
{"path": "currentlimit", "type": "float", "readonly": false, "cmd": "hcp currentlimit"}]}}
